aboutsummaryrefslogtreecommitdiff
path: root/japanese/sj3-lib/files
diff options
context:
space:
mode:
authorThomas Gellekum <tg@FreeBSD.org>2000-07-05 12:37:06 +0000
committerThomas Gellekum <tg@FreeBSD.org>2000-07-05 12:37:06 +0000
commit546041ba3113a4a58d8f3e7e7cb90e78fcb38ea8 (patch)
tree7b9cd553a62be7a9bd52800d334be8b703eb93a1 /japanese/sj3-lib/files
parent01ab6da99c55af36e516b7f8016373124c4039cf (diff)
Notes
Diffstat (limited to 'japanese/sj3-lib/files')
-rw-r--r--japanese/sj3-lib/files/sj3.sh.in22
1 files changed, 22 insertions, 0 deletions
diff --git a/japanese/sj3-lib/files/sj3.sh.in b/japanese/sj3-lib/files/sj3.sh.in
new file mode 100644
index 000000000000..9361c1d8a604
--- /dev/null
+++ b/japanese/sj3-lib/files/sj3.sh.in
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+if ! PREFIX=$(expr $0 : "\(/.*\)/etc/rc\.d/$(basename $0)\$"); then
+ echo "$0: Cannot determine the PREFIX" >&2
+ exit 1
+fi
+
+case "$1" in
+start)
+ sj3=${PREFIX}/bin/sj3serv
+ if [ -f $sj3 ]; then
+ $sj3
+ fi
+ ;;
+stop)
+ ;;
+*)
+ echo "Usage: `basename $0` {start|stop}" >&2
+ ;;
+esac
+
+exit 0